/*=======================================================*/
/*  TVSOUND.C                                            */
/*                                                       */
/*  (c) Copyright 1988 Ralf Brown  All Rights Reserved   */
/*  May be freely copied for noncommercial use, so long  */
/*  as this copyright notice remains intact, and any     */
/*  changes are marked in the comment blocks preceding   */
/*  functions.                                           */
/*=======================================================*/

#include "tvapi.h"

/*======================================================*/
/* TVsound--generate a tone for given number of ticks   */
/*   Ralf Brown 4/2/88                                  */
/*======================================================*/

void pascal TVsound(int freq, int duration)
{
   _BX = freq ;
   _CX = duration ;
   _AX = 0x1019 ;
   geninterrupt(0x15) ;
}

/* End of TVSOUND.C */
